// File automatically generated by ESPAM

#ifndef Input3_H
#define Input3_H
#include "csdfNode.h"
#include <map>

class Input3 : public csdfNode{
public:
    Input3();
    virtual ~Input3();

    void main(void *threadarg) override;
    // specific const parameters definition
    std::map<std::string,int> int_params;
  const int neurons = 1;

  //FIFO sizes
    int OP0_fifo_size;

  const int output_dims = 4;
  //output array definition
    const int output_dim_0 = 1;
    const int output_dim_1 = 1;
    const int output_dim_2 = 1;
    const int output_dim_3 = 28;
    int output[1][1][1][28] = {{{{0}}}};

  //specific node parameters and functions
};
#endif // Input3_H
